library(stockassessment)
load("run/model.RData")
source("src/myforecast.R") 
FC<-list()
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,1,1), label="SQ all years", processNoiseF=FALSE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale = c(1,1,NA,NA), fval=c(NA,NA, 0.000001,0.000001), label="Status quo, then F = 0", processNoiseF=FALSE)
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, catchval=c(NA,51434), fscale = c(1,NA),fval=c(NA,NA), label="Expected mixed fishery catch in 2021", processNoiseF=FALSE)
#set.seed(12345)
#FC[[length(FC)+1]] <- myforecast(fit, fscale=c(1,1, NA, 1), nextssb=c(NA,NA,115782,NA),fval=c(NA,NA,NA,NA), label="Target SSB (Blim)", processNoiseF=FALSE)
set.seed(12345)
FC[[length(FC)+1]] <- myforecast(fit, fscale=c(1,1, NA, 1),catchval=c(NA,NA,7865,NA), label="Target SSB (Blim)", processNoiseF=FALSE)
set.seed(12345)
FC[[length(FC)+1]] <- myforecast(fit, fscale=c(1,1, NA, 1),fval=c(NA,NA,0.1,NA), label="Fmgt - old management plan for NCC south+north", processNoiseF=FALSE)
save(FC, file="run/forecast.RData")
